Get customers
Get customers
GET /svc/payment/api/v1/openapi/customers
Request
Query Parameters
limit string
Example: 20
offset string
Example: 0
linked_source_type string
Possible values: [User, Store]
Example: User
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
Schema
code number
message string
data objectrequired
customers object[]required
Array [
name string
The customer's name
email string
The customer's email
dial_code stringrequired
The customer mobile phone country code
Example: +852
phone string
The customer's mobile phone
reference_number stringrequired
Your side unique number
default_payment_method string
The customer's default payment method
uuid stringrequired
Wonder side unique id
default_payment_token object
If the customer set a default payment token
token_type stringrequired
The token type
Possible values: [CreditCard, WechatPayAutoDebit, AlipayAutoDebit]
Example: CreditCard
token stringrequired
The token value
state stringrequired
default booleanrequired
If it's default token
error_code string
if bind card failed, will return the specific error code
error_msg string
if bind card failed, will return the specific error message
credit_card object
if token_type is CreditCard
number string
exp_month string
exp_year string
holder_name string
brand string
billing_currency string
]
{
"code": 0,
"message": "string",
"data": {
"customers": [\
{\
"name": "string",\
"email": "string",\
"dial_code": "+852",\
"phone": "string",\
"reference_number": "string",\
"default_payment_method": "string",\
"uuid": "string",\
"default_payment_token": {\
"token_type": "CreditCard",\
"token": "string",\
"state": "string",\
"default": true,\
"error_code": "string",\
"error_msg": "string",\
"credit_card": {\
"number": "string",\
"exp_month": "string",\
"exp_year": "string",\
"holder_name": "string",\
"brand": "string",\
"billing_currency": "string"\
}\
}\
}\
]
}
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.wonder.today/svc/payment/api/v1/openapi/customers");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Parameters
Show optional parameters
limit — query
offset — query
linked_source_type — query
---UserStore